diff --git a/korganizer/kotodoview.cpp b/korganizer/kotodoview.cpp
index 6b511f790..ecd680541 100644
--- a/korganizer/kotodoview.cpp
+++ b/korganizer/kotodoview.cpp
@@ -263,7 +263,7 @@ void KOTodoListView::contentsDropEvent( TQDropEvent *e )
           TQStringList emails = KPIM::splitEmailAddrList( text );
           for(TQStringList::ConstIterator it = emails.begin();it!=emails.end();++it) {
             kdDebug(5850) << " Email: " << (*it) << endl;
-            int pos = (*it).tqfind("<");
+            int pos = (*it).find("<");
             TQString name = (*it).left(pos);
             TQString email = (*it).mid(pos);
             if (!email.isEmpty() && todoi) {
@@ -563,7 +563,7 @@ void KOTodoView::updateView()
   mTodoMap.clear();
   Todo::List::ConstIterator it;
   for( it = todoList.begin(); it != todoList.end(); ++it ) {
-    if ( !mTodoMap.tqcontains( *it ) ) {
+    if ( !mTodoMap.contains( *it ) ) {
       insertTodoItem( *it );
     }
   }
@@ -603,7 +603,7 @@ TQMap<Todo *,KOTodoViewItem *>::ConstIterator
 
 //    kdDebug(5850) << "  has Related" << endl;
     TQMap<Todo *,KOTodoViewItem *>::ConstIterator itemIterator;
-    itemIterator = mTodoMap.tqfind(relatedTodo);
+    itemIterator = mTodoMap.find(relatedTodo);
     if (itemIterator == mTodoMap.end()) {
 //      kdDebug(5850) << "    related not yet in list" << endl;
       itemIterator = insertTodoItem (relatedTodo);
@@ -635,7 +635,7 @@ void KOTodoView::removeTodoItems()
   KOTodoViewItem *item;
   for ( item = mItemsToDelete.first(); item; item = mItemsToDelete.next() ) {
     Todo *todo = item->todo();
-    if ( todo && mTodoMap.tqcontains( todo ) ) {
+    if ( todo && mTodoMap.contains( todo ) ) {
       mTodoMap.remove( todo );
     }
     delete item;
@@ -691,7 +691,7 @@ void KOTodoView::changeIncidenceDisplay(Incidence *incidence, int action)
   Todo *todo = static_cast<Todo *>(incidence);
   if ( todo ) {
     KOTodoViewItem *todoItem = 0;
-    if ( mTodoMap.tqcontains( todo ) ) {
+    if ( mTodoMap.contains( todo ) ) {
       todoItem = mTodoMap[todo];
     }
     switch ( action ) {
@@ -705,7 +705,7 @@ void KOTodoView::changeIncidenceDisplay(Incidence *incidence, int action)
             // correctly update changes in relations
             Todo*tqparent = dynamic_cast<Todo*>( todo->relatedTo() );
             KOTodoViewItem*parentItem = 0;
-            if ( tqparent && mTodoMap.tqcontains(tqparent) ) {
+            if ( tqparent && mTodoMap.contains(tqparent) ) {
               parentItem = mTodoMap[ tqparent ];
             }
             if ( todoItem->tqparent() != parentItem ) {
@@ -1011,7 +1011,7 @@ TQPopupMenu *KOTodoView::getCategoryPopupMenu( KOTodoViewItem *todoItem )
         ++it ) {
     int index = tempMenu->insertItem( *it );
     mCategory[ index ] = *it;
-    if ( checkedCategories.tqfind( *it ) != checkedCategories.end() )
+    if ( checkedCategories.find( *it ) != checkedCategories.end() )
       tempMenu->setItemChecked( index, true );
   }
 
@@ -1030,7 +1030,7 @@ void KOTodoView::changedCategories(int index)
     Todo *oldTodo = todo->clone();
 
     TQStringList categories = todo->categories ();
-    if ( categories.tqfind( mCategory[index] ) != categories.end() )
+    if ( categories.find( mCategory[index] ) != categories.end() )
       categories.remove( mCategory[index] );
     else
       categories.insert( categories.end(), mCategory[index] );
diff --git a/korganizer/kotodoviewitem.cpp b/korganizer/kotodoviewitem.cpp
index 47aeb02b0..02369d91a 100644
--- a/korganizer/kotodoviewitem.cpp
+++ b/korganizer/kotodoviewitem.cpp
@@ -168,7 +168,7 @@ void KOTodoViewItem::construct()
   // Find sort id in description. It's the text behind the last '#' character
   // found in the description. White spaces are removed from beginning and end
   // of sort id.
-  int pos = mTodo->description().tqfindRev('#');
+  int pos = mTodo->description().findRev('#');
   if (pos < 0) {
     setText( KOTodoView::eDescriptionColumn, "" );
   } else {
diff --git a/korganizer/kowhatsnextview.cpp b/korganizer/kowhatsnextview.cpp
index 4f7c52fea..14e2f80aa 100644
--- a/korganizer/kowhatsnextview.cpp
+++ b/korganizer/kowhatsnextview.cpp
@@ -302,7 +302,7 @@ void KOWhatsNextView::appendEvent( Incidence *ev, const TQDateTime &start,
 
 void KOWhatsNextView::appendTodo( Incidence *ev )
 {
-  if ( mTodos.tqfind( ev ) != mTodos.end() ) return;
+  if ( mTodos.find( ev ) != mTodos.end() ) return;
 
   mTodos.append( ev );
 
diff --git a/korganizer/mailscheduler.cpp b/korganizer/mailscheduler.cpp
index b7b5ba69d..f810e9843 100644
--- a/korganizer/mailscheduler.cpp
+++ b/korganizer/mailscheduler.cpp
@@ -122,7 +122,7 @@ TQPtrList<ScheduleMessage> MailScheduler::retrieveTransactions()
         TQTextStream t( &f );
         t.setEncoding( TQTextStream::Latin1 );
         TQString messageString = t.read();
-        messageString.tqreplace( TQRegExp( "\n[ \t]"), "" );
+        messageString.replace( TQRegExp( "\n[ \t]"), "" );
         messageString = TQString::fromUtf8( messageString.latin1() );
         ScheduleMessage *mess = mFormat->parseScheduleMessage( mCalendar,
                                                                messageString );
diff --git a/korganizer/plugins/projectview/koprojectview.cpp b/korganizer/plugins/projectview/koprojectview.cpp
index c559a6960..3c7678e1a 100644
--- a/korganizer/plugins/projectview/koprojectview.cpp
+++ b/korganizer/plugins/projectview/koprojectview.cpp
@@ -188,7 +188,7 @@ void KOProjectView::updateView()
   mTodoMap.clear();
   Todo::List::ConstIterator it;
   for( it = todoList.begin(); it != todoList.end(); ++it ) {
-    if ( !mTodoMap.tqcontains( *it ) ) {
+    if ( !mTodoMap.contains( *it ) ) {
       insertTodoItem( *it );
     }
   }
@@ -202,7 +202,7 @@ TQMap<Todo *,KGanttItem *>::ConstIterator
   if (relatedTodo) {
 //    kdDebug(5850) << "  has Related" << endl;
     TQMap<Todo *,KGanttItem *>::ConstIterator itemIterator;
-    itemIterator = mTodoMap.tqfind(relatedTodo);
+    itemIterator = mTodoMap.find(relatedTodo);
     if (itemIterator == mTodoMap.end()) {
 //      kdDebug(5850) << "    related not yet in list" << endl;
       itemIterator = insertTodoItem (relatedTodo);
diff --git a/korganizer/printing/calprintdefaultplugins.cpp b/korganizer/printing/calprintdefaultplugins.cpp
index 6fe3a5e39..1e162ecee 100644
--- a/korganizer/printing/calprintdefaultplugins.cpp
+++ b/korganizer/printing/calprintdefaultplugins.cpp
@@ -52,7 +52,7 @@
 static TQString cleanString( const TQString &instr )
 {
   TQString ret = instr;
-  return ret.tqreplace( '\n', ' ' );
+  return ret.replace( '\n', ' ' );
 }
 
 /**************************************************************
diff --git a/korganizer/printing/calprinter.cpp b/korganizer/printing/calprinter.cpp
index 54aacd18c..4097f1ed7 100644
--- a/korganizer/printing/calprinter.cpp
+++ b/korganizer/printing/calprinter.cpp
@@ -255,7 +255,7 @@ void CalPrintDialog::setOrientation( CalPrinter::ePrintOrientation orientation )
 KOrg::PrintPlugin *CalPrintDialog::selectedPlugin()
 {
   int id = mTypeGroup->selectedId();
-  if ( mPluginIDs.tqcontains( id ) ) {
+  if ( mPluginIDs.contains( id ) ) {
     return mPluginIDs[id];
   } else {
     return 0;
diff --git a/korganizer/printing/calprintpluginbase.cpp b/korganizer/printing/calprintpluginbase.cpp
index 3df996528..63eb25f83 100644
--- a/korganizer/printing/calprintpluginbase.cpp
+++ b/korganizer/printing/calprintpluginbase.cpp
@@ -46,7 +46,7 @@ inline int round(const double x)
 static TQString cleanStr( const TQString &instr )
 {
   TQString ret = instr;
-  return ret.tqreplace( '\n', ' ' );
+  return ret.replace( '\n', ' ' );
 }
 
 /******************************************************************
@@ -1602,7 +1602,7 @@ void CalPrintPluginBase::drawTodo( int &count, Todo *todo, TQPainter &p,
     // The problem is that relations() does not apply filters, so
     // we need to compare manually with the complete filtered list!
     Todo* subtodo = dynamic_cast<Todo *>( *it );
-    if (subtodo && todoList.tqcontains( subtodo ) ) {
+    if (subtodo && todoList.contains( subtodo ) ) {
       drawTodo( count, subtodo, p, connectSubTodos, strikeoutCompleted,
                 desc, posPriority, posSummary, posDueDt, posPercentComplete,
                 level+1, x, y, width, pageHeight, todoList, &startpt );
@@ -1619,7 +1619,7 @@ void CalPrintPluginBase::drawTodo( int &count, Todo *todo, TQPainter &p,
     // The problem is that relations() does not apply filters, so
     // we need to compare manually with the complete filtered list!
     Todo* subtodo = dynamic_cast<Todo *>( *it );
-    if ( subtodo && todoList.tqcontains( subtodo ) ) {
+    if ( subtodo && todoList.contains( subtodo ) ) {
       t.append( subtodo );
     }
   }
diff --git a/korganizer/printing/cellitem.cpp b/korganizer/printing/cellitem.cpp
index 4dfc882f3..9551ac8ae 100644
--- a/korganizer/printing/cellitem.cpp
+++ b/korganizer/printing/cellitem.cpp
@@ -65,7 +65,7 @@ TQPtrList<CellItem> CellItem::placeItem( TQPtrList<CellItem> cells,
     int i;
     for( i = 0; i < maxSubCells; ++i ) {
       kdDebug(5855) << "  Trying subcell " << i << endl;
-      if ( !subCellDict.tqfind( i ) ) {
+      if ( !subCellDict.find( i ) ) {
         kdDebug(5855) << "  Use subcell " << i << endl;
         placeItem->setSubCell( i );
         break;
diff --git a/korganizer/resourceview.cpp b/korganizer/resourceview.cpp
index 6c0bda0fd..9058df869 100644
--- a/korganizer/resourceview.cpp
+++ b/korganizer/resourceview.cpp
@@ -83,7 +83,7 @@ static TQString labelFromSubResName( ResourceCalendar *resource, const TQString
 static TQString labelFromIdentifier( ResourceCalendar *resource, const TQString &identifier )
 {
   TQString subResLabel;
-  if ( identifier.tqcontains( "/.INBOX.directory/" ) ) { // my subresource
+  if ( identifier.contains( "/.INBOX.directory/" ) ) { // my subresource
     TQString subResName = identifier;
     subResName.remove( TQRegExp( "^.*/\\.INBOX\\.directory/" ) );
     subResLabel = labelFromSubResName( resource, subResName );
@@ -391,7 +391,7 @@ void ResourceView::addResource()
     return;
   }
 
-  TQString type = types[ descs.tqfindIndex( desc ) ];
+  TQString type = types[ descs.findIndex( desc ) ];
 
   // Create new resource
   ResourceCalendar *resource = manager->createResource( type );
@@ -477,7 +477,7 @@ void ResourceView::slotSubresourceAdded( ResourceCalendar *resource,
 {
   Q_UNUSED( type );
 
-  TQListViewItem *lvitem = mListView->tqfindItem( resource->resourceName(), 0 );
+  TQListViewItem *lvitem = mListView->findItem( resource->resourceName(), 0 );
   if ( !lvitem )
     // Not found
     return;
@@ -508,7 +508,7 @@ void ResourceView::slotSubresourceRemoved( ResourceCalendar *resource,
 
 void ResourceView::closeResource( ResourceCalendar *resource )
 {
-  if ( mResourcesToClose.tqfind( resource ) >= 0 ) {
+  if ( mResourcesToClose.find( resource ) >= 0 ) {
     resource->close();
     mResourcesToClose.remove( resource );
   }
@@ -595,7 +595,7 @@ void ResourceView::editResource()
   if ( item->isSubresource() ) {
     if ( resource->type() == "imap" || resource->type() == "scalix" ) {
       TQString identifier = item->resourceIdentifier();
-      if ( !identifier.tqcontains( "/.INBOX.directory/" ) ) {
+      if ( !identifier.contains( "/.INBOX.directory/" ) ) {
         KMessageBox::sorry(
           this,
           i18n( "Cannot rename someone else's calendar folder." ) );
@@ -708,7 +708,7 @@ void ResourceView::contextMenuRequested ( TQListViewItem *lvitem, const TQPoint
 
     if ( item->isSubresource() &&
          ( item->resource()->type() == "imap" || item->resource()->type() == "scalix" ) ) {
-      if ( item->resourceIdentifier().tqcontains( "/.INBOX.directory/" ) ) {
+      if ( item->resourceIdentifier().contains( "/.INBOX.directory/" ) ) {
         menu->insertItem( i18n("&Rename..."), this, TQT_SLOT( editResource() ) );
       }
     } else {
diff --git a/korganizer/searchdialog.cpp b/korganizer/searchdialog.cpp
index 03079cc90..a5a11134a 100644
--- a/korganizer/searchdialog.cpp
+++ b/korganizer/searchdialog.cpp
@@ -47,7 +47,7 @@
 
 SearchDialog::SearchDialog(Calendar *calendar,TQWidget *tqparent)
   : KDialogBase(Plain,i18n("Find Events"),User1|Close,User1,tqparent,0,false,false,
-                KGuiItem( i18n("&Find"), "tqfind") )
+                KGuiItem( i18n("&Find"), "find") )
 {
   mCalendar = calendar;
 
diff --git a/korganizer/templatemanagementdialog.cpp b/korganizer/templatemanagementdialog.cpp
index e6ee19da2..f610a2fd1 100644
--- a/korganizer/templatemanagementdialog.cpp
+++ b/korganizer/templatemanagementdialog.cpp
@@ -72,7 +72,7 @@ void TemplateManagementDialog::slotAddTemplate()
                                        i18n("Please enter a name for the new template:"),
                                        i18n("New Template"), &ok );
   if ( newTemplate.isEmpty() || !ok ) return;
-  if ( m_templates.tqfind( newTemplate) != m_templates.end() ) {
+  if ( m_templates.find( newTemplate) != m_templates.end() ) {
     int rc = KMessageBox::warningContinueCancel( this, i18n("A template with that name already exists, do you want to overwrite it?."), i18n("Duplicate Template Name"), i18n("Overwrite"));
     if ( rc == KMessageBox::Cancel ) {
       TQTimer::singleShot(0, this, TQT_SLOT( slotAddTemplate() ) );
diff --git a/korganizer/templatemanagementdialog.h b/korganizer/templatemanagementdialog.h
index 134211c45..0a8fadf08 100644
--- a/korganizer/templatemanagementdialog.h
+++ b/korganizer/templatemanagementdialog.h
@@ -57,7 +57,7 @@ Q_OBJECT
     /* Emitted whenever the user wants to add teh current incidence as a template
     with the given name. */
     void saveTemplate( const TQString& templateName );
-    /* Emitted when the dialog changed the list of templates. Calling code can the tqreplace
+    /* Emitted when the dialog changed the list of templates. Calling code can the replace
        the list that was handed in with the one this signal transports. */
     void templatesChanged( const TQStringList& templates );
     
diff --git a/korganizer/urihandler.cpp b/korganizer/urihandler.cpp
index 7caad0e34..a9eb31ba9 100644
--- a/korganizer/urihandler.cpp
+++ b/korganizer/urihandler.cpp
@@ -80,10 +80,10 @@ bool UriHandler::process( TQWidget *tqparent, const TQString &uri )
     kapp->startServiceByDesktopPath("kmail");
 
     // parse string, show
-    int colon = uri.tqfind( ':' );
+    int colon = uri.find( ':' );
     // extract 'number' from 'kmail:<number>/<id>'
     TQString serialNumberStr = uri.mid( colon + 1 );
-    serialNumberStr = serialNumberStr.left( serialNumberStr.tqfind( '/' ) );
+    serialNumberStr = serialNumberStr.left( serialNumberStr.find( '/' ) );
 
     KMailIface_stub kmailIface( "kmail", "KMailIface" );
     kmailIface.showMail( serialNumberStr.toUInt(), TQString() );
diff --git a/korn/account_input.cpp b/korn/account_input.cpp
index e3cb48f91..c7b35228e 100644
--- a/korn/account_input.cpp
+++ b/korn/account_input.cpp
@@ -136,8 +136,8 @@ TQString ComboInput::value() const
 
 void ComboInput::setValue( const TQString& value )
 {
-	if( _list->tqcontains( value ) )
-		_right->setCurrentItem( _list->keys().tqfindIndex( value ) );
+	if( _list->contains( value ) )
+		_right->setCurrentItem( _list->keys().findIndex( value ) );
 	else
 		_right->setCurrentItem( -1 );
 }
diff --git a/korn/accountmanager.cpp b/korn/accountmanager.cpp
index 5a93ec679..fec63a2b2 100644
--- a/korn/accountmanager.cpp
+++ b/korn/accountmanager.cpp
@@ -241,7 +241,7 @@ void AccountManager::playSound( const TQString& file )
 
 void AccountManager::slotChanged( int count, KMailDrop* mailDrop )
 {
-	Dropinfo *info = _dropInfo->tqfind( mailDrop ).data();
+	Dropinfo *info = _dropInfo->find( mailDrop ).data();
 	info->newMessages = count > info->msgnr || ( count == info->msgnr && info->newMessages );
 	
 	if( count > info->msgnr )
diff --git a/korn/dcopdrop.cpp b/korn/dcopdrop.cpp
index 9cc4a9f05..aea90103e 100644
--- a/korn/dcopdrop.cpp
+++ b/korn/dcopdrop.cpp
@@ -74,11 +74,11 @@ bool DCOPDrop::readConfigGroup( const KConfigGroup &cfg )
 
 bool DCOPDrop::readConfigGroup( const TQMap< TQString, TQString > &map, const Protocol * )
 {
-	if( !map.tqcontains( "dcopname" ) )
+	if( !map.contains( "dcopname" ) )
 		//The mapping MUST contain dcopname.
 		kdDebug() << "mapping is niet compleet" << endl;
 
-	this->setDCOPName( *map.tqfind( "dcopname" ) );
+	this->setDCOPName( *map.find( "dcopname" ) );
 	
 	return true;
 }
@@ -125,7 +125,7 @@ bool DCOPDrop::deleteMails( TQPtrList<const KornMailId> * ids, bool * )
 	for( const KornMailId *it = ids->first(); it; it = ids->next() )
 	{
 		const KornIntId* id = dynamic_cast< const KornIntId* >( it );
-		if( _msgList->tqcontains( id->getId() ) )
+		if( _msgList->contains( id->getId() ) )
 			_msgList->erase( id->getId() );
 	}
 	
@@ -173,7 +173,7 @@ int DCOPDrop::addMessage( const TQString& subject, const TQString& message )
 
 bool DCOPDrop::removeMessage( int id )
 {
-	if( ! _msgList->tqcontains( id ) )
+	if( ! _msgList->contains( id ) )
 		return false;
 	
 	delete (*_msgList)[ id ];
diff --git a/korn/imap_proto.cpp b/korn/imap_proto.cpp
index 7d0f9873a..304fed5ed 100644
--- a/korn/imap_proto.cpp
+++ b/korn/imap_proto.cpp
@@ -65,34 +65,34 @@ void Imap_Protocol::configFields( TQPtrVector< TQWidget >* vector, const TQObjec
 
 void Imap_Protocol::readEntries( TQMap< TQString, TQString >* map, TQMap< TQString, TQString > *metadata ) const
 {
-	if( map->tqcontains( "ssl" ) && *map->tqfind( "ssl" ) == "true" )
+	if( map->contains( "ssl" ) && *map->find( "ssl" ) == "true" )
 		map->insert( "encryption", "ssl" );
-	if( metadata->tqcontains( "tls" ) )
-		map->insert( "encryption", TQString( "tls=%1" ).tqarg( *metadata->tqfind( "tls" ) ) );
-	if( metadata->tqcontains( "auth" ) )
-		map->insert( "auth", TQString( "auth=%1" ).tqarg( *metadata->tqfind( "auth" ) ) );
+	if( metadata->contains( "tls" ) )
+		map->insert( "encryption", TQString( "tls=%1" ).tqarg( *metadata->find( "tls" ) ) );
+	if( metadata->contains( "auth" ) )
+		map->insert( "auth", TQString( "auth=%1" ).tqarg( *metadata->find( "auth" ) ) );
 }
 
 void Imap_Protocol::writeEntries( TQMap< TQString, TQString >* map ) const
 {
 	TQString metadata;
-	if( map->tqcontains( "encryption" ) )
+	if( map->contains( "encryption" ) )
 	{
-		if( *map->tqfind( "encryption" ) == "ssl" )
+		if( *map->find( "encryption" ) == "ssl" )
 			map->insert( "ssl", "true" );
 		else
 		{
 			map->insert( "ssl", "false" );
-			metadata += *map->tqfind( "encryption" );
+			metadata += *map->find( "encryption" );
 		}
 		map->erase( "encryption" );
 	}
 
-	if( map->tqcontains( "auth" ) )
+	if( map->contains( "auth" ) )
 	{
 		if( !metadata.isEmpty() )
 			metadata += ",";
-		metadata += *map->tqfind( "auth" );
+		metadata += *map->find( "auth" );
 		map->erase( "auth" );
 	}
 
diff --git a/korn/kconf_update/korn-3-4-config_change.cpp b/korn/kconf_update/korn-3-4-config_change.cpp
index 4d0c46679..7ff7a922c 100644
--- a/korn/kconf_update/korn-3-4-config_change.cpp
+++ b/korn/kconf_update/korn-3-4-config_change.cpp
@@ -188,7 +188,7 @@ int main( int, char**  )
 		}
 		else if( currentGroup1.isNull() || !isKey )
 			continue;
-		if( mapping1.tqcontains( key_value.cap( 1 ) ) )
+		if( mapping1.contains( key_value.cap( 1 ) ) )
 		{
 			out << currentGroup1 << endl;
 			out << mapping1[ key_value.cap( 1 ) ] << "=" << key_value.cap( 2 ) << endl;
@@ -198,7 +198,7 @@ int main( int, char**  )
 				out << "name=" << key_value.cap( 2 ) << endl;
 			}
 		}
-		else if( mapping2.tqcontains( key_value.cap( 1 ) ) )
+		else if( mapping2.contains( key_value.cap( 1 ) ) )
 		{
 			to_printed.insert( key_value.cap( 1 ), key_value.cap( 2 ) );
 		}
diff --git a/korn/kio.cpp b/korn/kio.cpp
index 54d0e773d..0977eb603 100644
--- a/korn/kio.cpp
+++ b/korn/kio.cpp
@@ -180,11 +180,11 @@ void KKioDrop::setKioServer(const TQString & proto, const TQString & server, int
 	_ssl = ssl;
 	
 	//Checking for authentication-settings.
-	//if( _metadata->tqcontains("auth") )
+	//if( _metadata->contains("auth") )
 	//{
 	//	auth = (*_metadata)["auth"];
 	//	*_metadata = metadata;
-	//	if( ! _metadata->tqcontains("auth") )
+	//	if( ! _metadata->contains("auth") )
 	//		(*_metadata)["auth"] = auth;
 	//} else
 	*_metadata = metadata;
@@ -201,7 +201,7 @@ void KKioDrop::setUser(const TQString & user, const TQString & password,
 	_kurl->setPath( mailbox );
 	if( ! auth.isEmpty() && auth != "Plain" )
 		(*_metadata)["auth"] = auth;
-	else if( _metadata->tqcontains( "auth" ) )
+	else if( _metadata->contains( "auth" ) )
 		_metadata->erase( "auth" );
 
 	_valid = _kurl->isValid();
@@ -241,7 +241,7 @@ TQString KKioDrop::mailbox() const
 }
 TQString KKioDrop::auth() const
 {
-	return ( _metadata->tqcontains("auth")?(*_metadata)["auth"]:"" );
+	return ( _metadata->contains("auth")?(*_metadata)["auth"]:"" );
 }
 
 void KKioDrop::recheck()
@@ -337,32 +337,32 @@ bool KKioDrop::readConfigGroup( const TQMap< TQString, TQString > &map, const Pr
 {
 	TQString val, val2;
 
-	if( !map.tqcontains( "server" ) || !map.tqcontains( "port" ) || !map.tqcontains( "ssl" ) || !map.tqcontains( "username" ) ||
-	    !map.tqcontains( "mailbox" ) || !map.tqcontains( "password" ) || !map.tqcontains( "metadata" ) || !map.tqcontains( "name" ) )
+	if( !map.contains( "server" ) || !map.contains( "port" ) || !map.contains( "ssl" ) || !map.contains( "username" ) ||
+	    !map.contains( "mailbox" ) || !map.contains( "password" ) || !map.contains( "metadata" ) || !map.contains( "name" ) )
 	{
 		kdWarning() << "Bug: map niet compleet" << endl;
 		return false;
 	}
 
-	this->setName( (*map.tqfind( "name" )).utf8() );
+	this->setName( (*map.find( "name" )).utf8() );
 	
 	_protocol = protocol->getKIOProtocol();
 	if( !_protocol )
 		_protocol = Protocols::firstProtocol()->getKIOProtocol();
 			
-	val = *map.tqfind( "server" );
-	setKioServer( val2, val, (*map.tqfind( "port" )).toInt(), KIO::MetaData(), *map.tqfind( "ssl" ) == "true", false );
+	val = *map.find( "server" );
+	setKioServer( val2, val, (*map.find( "port" )).toInt(), KIO::MetaData(), *map.find( "ssl" ) == "true", false );
 
-	_kurl->setUser( *map.tqfind( "username" ) );
-	_kurl->setPath( *map.tqfind( "mailbox" ) );
+	_kurl->setUser( *map.find( "username" ) );
+	_kurl->setPath( *map.find( "mailbox" ) );
 
-	_kurl->setPass( *map.tqfind( "password" ) );
+	_kurl->setPass( *map.find( "password" ) );
 	
-	TQStringList list = TQStringList::split( ',', *map.tqfind( "metadata" ) );
+	TQStringList list = TQStringList::split( ',', *map.find( "metadata" ) );
 	TQStringList::Iterator it;
 	for( it = list.begin(); it != list.end(); ++it )
 	{
-		int split = (*it).tqfind( "=" );
+		int split = (*it).find( "=" );
 		if( split > 0 )
 			_metadata->insert( (*it).left( split ), (*it).right( (*it).length() - split - 1 ) );
 	}
diff --git a/korn/kio_count.cpp b/korn/kio_count.cpp
index faac9390b..e43b97060 100644
--- a/korn/kio_count.cpp
+++ b/korn/kio_count.cpp
@@ -292,7 +292,7 @@ void KIO_Count::entries( KIO::Job* job, const KIO::UDSEntryList &list )
 		if( ! fileinfo.name.isNull() && isFile )
 		{
 			_new_mailurls->append( fileinfo );
-			if( ! old_list.tqcontains( fileinfo.name ) && _kio->passivePopup() )
+			if( ! old_list.contains( fileinfo.name ) && _kio->passivePopup() )
 				showPassive( fileinfo.name );
 		}
 	}
diff --git a/korn/kio_proto.cpp b/korn/kio_proto.cpp
index fc0a45ac4..8434fe44b 100644
--- a/korn/kio_proto.cpp
+++ b/korn/kio_proto.cpp
@@ -63,13 +63,13 @@ void KIO_Protocol::readEntries( TQMap< TQString, TQString >* map ) const
 {
 	TQMap< TQString, TQString> *metadata = new TQMap< TQString, TQString >;
 
-	if( map->tqcontains( "metadata" ) )
+	if( map->contains( "metadata" ) )
 	{
-		TQStringList list = TQStringList::split( ",", *map->tqfind( "metadata" ) );
+		TQStringList list = TQStringList::split( ",", *map->find( "metadata" ) );
 		TQStringList::Iterator it;
 		for( it = list.begin(); it != list.end(); ++it )
 		{
-			int split = (*it).tqfind( '=' );
+			int split = (*it).find( '=' );
 
 			metadata->insert( (*it).left( split ), (*it).right( (*it).length() - split - 1 ) );
 		}
diff --git a/korn/kornaccountcfgimpl.cpp b/korn/kornaccountcfgimpl.cpp
index 149fd55b0..56f64b765 100644
--- a/korn/kornaccountcfgimpl.cpp
+++ b/korn/kornaccountcfgimpl.cpp
@@ -80,8 +80,8 @@ void KornAccountCfgImpl::readConfig( KConfigGroup *config, TQMap< TQString, TQSt
 	(*entries)[ "password" ] = KOrnPassword::readKOrnPassword( boxnr, accountnr, *config );
 	
 	for( input = _accountinput->first(); input; input = _accountinput->next() )
-		if( entries->tqcontains( input->configName() ) )
-			input->setValue( *(entries->tqfind( input->configName() ) ) );
+		if( entries->contains( input->configName() ) )
+			input->setValue( *(entries->find( input->configName() ) ) );
 	
 	this->edInterval->setText( _config->readEntry( "interval", "300" ) );
 	
@@ -115,9 +115,9 @@ void KornAccountCfgImpl::writeConfig()
 
 	protocol->writeEntries( map );
 
-	if( map->tqcontains( "password" ) )
+	if( map->contains( "password" ) )
 	{
-		KOrnPassword::writeKOrnPassword( _boxnr, _accountnr, *_config, *map->tqfind( "password" ) );
+		KOrnPassword::writeKOrnPassword( _boxnr, _accountnr, *_config, *map->find( "password" ) );
 		map->erase( "password" );
 	}
 
diff --git a/korn/maildir_proto.h b/korn/maildir_proto.h
index 0023cfdc0..2ce5e9dbb 100644
--- a/korn/maildir_proto.h
+++ b/korn/maildir_proto.h
@@ -47,7 +47,7 @@ public:
 	virtual TQString serverName() const { return i18n( "Path:" ); }
 
 	virtual void recheckKURL( KURL &kurl, KIO::MetaData & )
-	                               { kurl.setPath( kurl.host() + "/." + kurl.path().tqreplace( '/' , '.' ) + "/new" ); kurl.setHost( "" ); }
+	                               { kurl.setPath( kurl.host() + "/." + kurl.path().replace( '/' , '.' ) + "/new" ); kurl.setHost( "" ); }
 	virtual void readSubjectKURL( KURL &, KIO::MetaData & ) { }
 	virtual void deleteMailKURL( KURL &, KIO::MetaData & )  { }
 	virtual void readMailKURL( KURL &, KIO::MetaData & )    { }
diff --git a/korn/mailsubject.cpp b/korn/mailsubject.cpp
index ee675906f..747d9ec7c 100644
--- a/korn/mailsubject.cpp
+++ b/korn/mailsubject.cpp
@@ -67,7 +67,7 @@ TQString KornMailSubject::decodeRFC2047String(const TQCString& aStr)
 	if ( str.isEmpty() )
 		return TQString();
 
-	if ( str.tqfind( "=?" ) < 0 ) {
+	if ( str.find( "=?" ) < 0 ) {
 		// No need to decode
 		return TQString(str);
 	}
diff --git a/korn/pop3_proto.cpp b/korn/pop3_proto.cpp
index c42076426..c4ecd6b16 100644
--- a/korn/pop3_proto.cpp
+++ b/korn/pop3_proto.cpp
@@ -64,34 +64,34 @@ void Pop3_Protocol::configFields( TQPtrVector< TQWidget >* vector, const TQObjec
 
 void Pop3_Protocol::readEntries( TQMap< TQString, TQString >* map, TQMap< TQString, TQString > *metadata ) const
 {
-	if( map->tqcontains( "ssl" ) && *map->tqfind( "ssl" ) == "true" )
+	if( map->contains( "ssl" ) && *map->find( "ssl" ) == "true" )
 		map->insert( "encryption", "ssl" );
-	if( metadata->tqcontains( "tls" ) )
-		map->insert( "encryption", TQString( "tls=%1" ).tqarg( *metadata->tqfind( "tls" ) ) );
-	if( metadata->tqcontains( "auth" ) )
+	if( metadata->contains( "tls" ) )
+		map->insert( "encryption", TQString( "tls=%1" ).tqarg( *metadata->find( "tls" ) ) );
+	if( metadata->contains( "auth" ) )
 		map->insert( "auth", TQString( "auth=APOP" ) );
 }
 
 void Pop3_Protocol::writeEntries( TQMap< TQString, TQString >* map ) const
 {
 	TQString metadata;
-	if( map->tqcontains( "encryption" ) )
+	if( map->contains( "encryption" ) )
 	{
-		if( *map->tqfind( "encryption" ) == "ssl" )
+		if( *map->find( "encryption" ) == "ssl" )
 			map->insert( "ssl", "true" );
 		else
 		{
 			map->insert( "ssl", "false" );
-			metadata += *map->tqfind( "encryption" );
+			metadata += *map->find( "encryption" );
 		}
 		map->erase( "encryption" );
 	}
 
-	if( map->tqcontains( "auth" ) )
+	if( map->contains( "auth" ) )
 	{
-		if( !metadata.isEmpty() && ! (*map->tqfind( "auth" )).isEmpty() )
+		if( !metadata.isEmpty() && ! (*map->find( "auth" )).isEmpty() )
 			metadata += ",";
-		metadata += *map->tqfind( "auth" );
+		metadata += *map->find( "auth" );
 		map->erase( "auth" );
 	}
 
diff --git a/korn/pop3_proto.h b/korn/pop3_proto.h
index feaed812b..c828e595f 100644
--- a/korn/pop3_proto.h
+++ b/korn/pop3_proto.h
@@ -44,8 +44,8 @@ public:
 
 	virtual TQStringList authList() const { return TQStringList::split( '|', "Plain|APOP", false ); }
 	
-	virtual void readSubjectKURL( KURL & kurl, KIO::MetaData & ) const { kurl.setPath( kurl.path().tqreplace( "/download/", "/headers/" ) ); }
-	virtual void deleteMailKURL ( KURL & kurl, KIO::MetaData & ) const { kurl.setPath( kurl.path().tqreplace( "/download/", "/remove/" ) ); }
+	virtual void readSubjectKURL( KURL & kurl, KIO::MetaData & ) const { kurl.setPath( kurl.path().replace( "/download/", "/headers/" ) ); }
+	virtual void deleteMailKURL ( KURL & kurl, KIO::MetaData & ) const { kurl.setPath( kurl.path().replace( "/download/", "/remove/" ) ); }
 	virtual bool commitDelete () const { return true; }
 	virtual void deleteCommitKURL(KURL & kurl, KIO::MetaData & ) const { kurl.setPath( "commit" ); }
 
diff --git a/korn/protocols.cpp b/korn/protocols.cpp
index c35ce4bae..d604e0870 100644
--- a/korn/protocols.cpp
+++ b/korn/protocols.cpp
@@ -42,7 +42,7 @@ const Protocol* Protocols::getProto( const TQString& proto )
 	if( !protocols )
 		fillProtocols();
 		
-	return protocols->tqfind( proto );
+	return protocols->find( proto );
 }
 
 const Protocol* Protocols::firstProtocol()
diff --git a/kresources/birthdays/resourcekabc.cpp b/kresources/birthdays/resourcekabc.cpp
index f3be66d83..db0a7b77d 100644
--- a/kresources/birthdays/resourcekabc.cpp
+++ b/kresources/birthdays/resourcekabc.cpp
@@ -151,7 +151,7 @@ bool ResourceKABC::doLoad()
       bool hasCategory = false;
       TQStringList categories = (*it).categories();
       for ( strIt = mCategories.begin(); strIt != endStrIt; ++strIt )
-        if ( categories.tqcontains( *strIt ) ) {
+        if ( categories.contains( *strIt ) ) {
           hasCategory = true;
           break;
         }
diff --git a/kresources/birthdays/resourcekabcconfig.cpp b/kresources/birthdays/resourcekabcconfig.cpp
index 20a9aaf48..1f55138f1 100644
--- a/kresources/birthdays/resourcekabcconfig.cpp
+++ b/kresources/birthdays/resourcekabcconfig.cpp
@@ -92,7 +92,7 @@ void ResourceKABCConfig::loadSettings( KRES::Resource *resource )
     const TQStringList categories = res->categories();
     TQListViewItemIterator it( mCategoryView );
     while ( it.current() ) {
-      if ( categories.tqcontains( it.current()->text( 0 ) ) ) {
+      if ( categories.contains( it.current()->text( 0 ) ) ) {
         TQCheckListItem *item = static_cast<TQCheckListItem*>( it.current() );
         item->setOn( true );
       }
